Bug 190659 - Modularise openoffice packaging to prevent huge downloads
Modularise openoffice packaging to prevent huge downloads
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-04 06:02 EDT by David Anderson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 06:10:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Anderson 2006-05-04 06:02:59 EDT
Whenever there's an openoffice update, users have to download a new 100Mb set 
of packages.

This is too much, even for broadband users (like myself). It's 25 minutes on 
512kb broadband (a common product in the UK).

The openoffice packaging should be modularised, like Xorg's has, so that only 
selected, targeted updates need to be made.

A better solution would be to implement patch RPMs, but the people who decide 
about this have always refused.
Comment 1 Caolan McNamara 2006-05-04 06:10:28 EDT
yes, it'd be nice. It's sort of possible to split the build into two parts, the
"URE" part and the actual apps, that would help somewhat, and I'm thinking about
trying to get that working.

At the moment at least with the first level split into multiple packages of
writer, impress, draw etc and the crucial langpack split you don't have to
download 800megs if you want langpack-bn and an update has occured, unlike in
1.1.X days where all langpacks came in a gigantic "i18n" rpm.

I feel the pain, and one step has been taken. I'm considering another for
URE/apps. And the final URE/one app/another app/etc is up in the air.
Comment 2 David Anderson 2006-05-08 05:02:32 EDT
Out of interest, I ran rpm -qa --queryformat "%{SIZE} %{NAME}\n"|sort -rn in 
order to find out what the largest packages on my FC5 machine are:

I think the most surprising thing is how huge Adobe's Reader is. 
OpenOffice.org core comes in at 3.5 times bigger than any other FC package. 
Top 10:

213409160 openoffice.org-core
98717039 AdobeReader_enu
64091981 glibc-common
59179927 j2re
55530004 kdebase
55286750 Omni
51933076 festival
51267142 kdepim
46532500 libstdc++-devel
46209085 kdelibs
43073422 qt-devel
42256845 wine



Note You need to log in before you can comment on or make changes to this bug.